package com.steerinfo.ems.zghbjkbz.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class Zghbjkbz implements IBasePO<String> {
    /**
     * id(id,VARCHAR,50)
     */
    @ApiModelProperty(value="id",required=true)
    private String id;

    /**
     * 污染源类别(wr_type,VARCHAR,30)
     */
    @ApiModelProperty(value="污染源类别",required=false)
    private String wrType;

    /**
     * 排放口名称(drain_name,VARCHAR,80)
     */
    @ApiModelProperty(value="排放口名称",required=false)
    private String drainName;

    /**
     * 备注(source_name,VARCHAR,80)
     */
    @ApiModelProperty(value="产污环节",required=false)
    private String sourceName;

    /**
     * 点位位置(location,VARCHAR,80)
     */
    @ApiModelProperty(value="点位位置",required=true)
    private String location;

    /**
     * 监测因子(check_ele,VARCHAR,50)
     */
    @ApiModelProperty(value="监测因子",required=true)
    private String checkEle;
    
    /**
     * 最小值(min_value,DECIMAL,30)
     */
    @ApiModelProperty(value="最小值",required=true)
    private BigDecimal minValue;

    /**
     * 最大值(max_value,DECIMAL,30)
     */
    @ApiModelProperty(value="最大值",required=true)
    private BigDecimal maxValue;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;
    
    /**
     * 计量点编号(measure_no,VARCHAR,30)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String measureNo;
    
    /**
     * 备注(memo,VARCHAR,60)
     */
    @ApiModelProperty(value="备注",required=true)
    private String memo;
    
    /**
     * coredas表字段名(cName,VARCHAR,100)
     */
    @ApiModelProperty(value="coredas表字段名",required=true)
    private String cName;

    private static final long serialVersionUID = 1L;

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getWrType() {
		return wrType;
	}

	public void setWrType(String wrType) {
		this.wrType = wrType;
	}

	public String getDrainName() {
		return drainName;
	}

	public void setDrainName(String drainName) {
		this.drainName = drainName;
	}

	public String getSourceName() {
		return sourceName;
	}

	public void setSourceName(String sourceName) {
		this.sourceName = sourceName;
	}

	public String getCheckEle() {
		return checkEle;
	}

	public void setCheckEle(String checkEle) {
		this.checkEle = checkEle;
	}

	public BigDecimal getMinValue() {
		return minValue;
	}

	public void setMinValue(BigDecimal minValue) {
		this.minValue = minValue;
	}

	public BigDecimal getMaxValue() {
		return maxValue;
	}

	public void setMaxValue(BigDecimal maxValue) {
		this.maxValue = maxValue;
	}

	public String getMeasureNo() {
		return measureNo;
	}

	public void setMeasureNo(String measureNo) {
		this.measureNo = measureNo;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location == null ? null : location.trim();
    }
    
    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

	public String getcName() {
		return cName;
	}

	public void setcName(String cName) {
		this.cName = cName;
	}

	@Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", location=").append(location);
        sb.append(", wrType=").append(wrType);
        sb.append(", drainName=").append(drainName);
        sb.append(", sourceName=").append(sourceName);
        sb.append(", checkEle=").append(checkEle);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", minValue=").append(minValue);
        sb.append(", maxValue=").append(maxValue);
        sb.append(", measureNo=").append(measureNo);
        sb.append(", memo=").append(memo);
        sb.append(", cName=").append(cName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}